/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import java.util.Objects;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;

/**
 * Attachment
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Attachment {
  @SerializedName("document_type_name")
  private String documentTypeName = null;

  @SerializedName("document_name")
  private String documentName = null;

  public Attachment documentTypeName(String documentTypeName) {
    this.documentTypeName = documentTypeName;
    return this;
  }

   /**
   * Name of document type.
   * @return documentTypeName
  **/
  @ApiModelProperty(example = "Visa Copy", required = true, value = "Name of document type.")
  public String getDocumentTypeName() {
    return documentTypeName;
  }

  public void setDocumentTypeName(String documentTypeName) {
    this.documentTypeName = documentTypeName;
  }

  public Attachment documentName(String documentName) {
    this.documentName = documentName;
    return this;
  }

   /**
   * Name of document.
   * @return documentName
  **/
  @ApiModelProperty(value = "Name of document.")
  public String getDocumentName() {
    return documentName;
  }

  public void setDocumentName(String documentName) {
    this.documentName = documentName;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Attachment attachment = (Attachment) o;
    return Objects.equals(this.documentTypeName, attachment.documentTypeName) &&
        Objects.equals(this.documentName, attachment.documentName);
  }

  @Override
  public int hashCode() {
    return Objects.hash(documentTypeName, documentName);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Attachment {\n");
    
    sb.append("    documentTypeName: ").append(toIndentedString(documentTypeName)).append("\n");
    sb.append("    documentName: ").append(toIndentedString(documentName)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

